﻿using System;
using System.Collections.Generic;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Configuration;
using System.Data.SqlClient;
using System.Data;
using System.IO;
using System.Text;

public partial class CS : System.Web.UI.Page
{
protected void Page_Load(object sender, EventArgs e)
{
    if (!IsPostBack)
    {
        dlContacts.DataSource = this.GetData();
        dlContacts.DataBind();
    }
}

private DataTable GetData()
{
    string conString = ConfigurationManager.ConnectionStrings["conStr"].ConnectionString;
    using (SqlConnection con = new SqlConnection(conString))
    {
        using (SqlCommand cmd = new SqlCommand("select top 6 * from customers"))
        {
            cmd.Connection = con;
            cmd.CommandType = CommandType.Text;
            using (SqlDataAdapter sda = new SqlDataAdapter(cmd))
            {
                DataSet ds = new DataSet();
                sda.Fill(ds);
                return ds.Tables[0];
            }
        }
    }
}
    protected void Print(object sender, EventArgs e)
    {
        DataTable dt = GetData();
        List<DataRow> rows = new List<DataRow>();
        foreach (DataListItem item in dlContacts.Items)
        {
            if (!(item.FindControl("CheckBox1") as CheckBox).Checked)
            {
                rows.Add(dt.Rows[item.ItemIndex]);
            }
        }
        foreach (DataRow row in rows)
        {
            dt.Rows.Remove(row);
        }
        dlContacts.DataSource = dt;
        dlContacts.DataBind();
        foreach (DataListItem item in dlContacts.Items)
        {
            item.FindControl("CheckBox1").Visible = false;
        }
        StringWriter sw = new StringWriter();
        HtmlTextWriter hw = new HtmlTextWriter(sw);
        dlContacts.RenderControl(hw);
        string html = sw.ToString().Replace("\"", "'").Replace(System.Environment.NewLine, "");
        StringBuilder sb = new StringBuilder();
        sb.Append("<script type = 'text/javascript'>");
        sb.Append("window.onload = new function(){");
        sb.Append("var printWin = window.open('', '', 'left=0");
        sb.Append(",top=0,width=1000,height=600,status=0');");
        sb.Append("printWin.document.write(\"");
        sb.Append(html);
        sb.Append("\");");
        sb.Append("printWin.document.close();");
        sb.Append("printWin.focus();");
        sb.Append("printWin.print();printWin.opener.location.href=printWin.opener.location.href;");
        sb.Append("printWin.close();};");
        sb.Append("</script>");
        ClientScript.RegisterStartupScript(this.GetType(), "GridPrint", sb.ToString());
    }
}